Subject: ipv6 routing updates

From: "Sridharj" <[email-masked]>
Date: Wed, 24 Apr 2002 10:07:39 +0530

Hi ,
                                                                  ipv4 link
      ipv6 network ----- bgp
peaker  --------------------------------------- bgp neighbor ------   ipv4
network

Actually this is a trivial question but still I wanted to make sure  .
In the above scenario  even though the connection to neighbor is over ipv4
link  ,
1 ) Is it common that ipv6 routes are advertised to neighbor
2 ) Can the nexthop be a ipv6 prefix  whereas  NLRI contains  ipv4 prefixes
3)  Is it possible to have ipv4 prefixes and ipv6 prefixes in  then same
updates as part of NLRI .

thanks in advance

sridhara .J

senior software engineer
Future Software

www.futsoft.com

***************************************************************************
This message is proprietary to Future Software Limited (FSL) 
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information 
and should not be circulated or used for any purpose other than for 
what it is intended. 

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. 
FSL accepts no responsibility for loss or damage arising from 
the use of the information transmitted by this email including
damage from virus.
***************************************************************************